<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use App\Models\Vendor;
use App\Models\Order;
use App\Models\User;
use App\Models\OrderAssigned;

class BookingController extends Controller
{
    /*public function createBooking(Request $request) {
        
        $breadcrumbs = [
            'name' => 'Assign Parcel To Rider', 
        ];

        $vendors = Vendor::all();
        $vendorId = "";
        if($request->has('id'))
        {
            $vendorId = $request->id;
            $parcelList = Order::where(['vendor_id'=> $request->id,'order_status'=>4])->get();
        } else {
            $vendorId = "";
            $parcelList = Order::where('vendor_id', 0)->get();
        }
        return view('admin.booking.booking_form', compact('parcelList','vendorId','vendors','breadcrumbs'));
    }*/
    
    /*public function createSelectBooking(Request $request) {
        
        $vendors = Vendor::all();
        $vendorId = "";
        if($request->has('id'))
        {
            $vendorId = $request->id;
            $parcelList = Order::where('vendor_id', $request->id)->get();
        } else {
            $vendorId = "";
            $parcelList = Order::where('vendor_id', 0)->get();
        }
        return view('admin.booking.select_booking_form', compact('parcelList','vendorId','vendors'));
    }*/
    
    public function vendorParcel(Request $request)
    {
        return route('createBooking', ['id' => $request->vendor_id]);
    }
    
    public function vendorSelectParcel(Request $request)
    {
        return route('createSelectBooking', ['id' => $request->vendor_id]);
    }
    
    public function assignRider($id)
    {
        $order = Order::find($id);
        $vendorId = $order->vendor_id;
        //$riderId = User::where('id','!=',1)->get();
        $riderId = User::whereHas(
            'roles', function($q){
                $q->where('name', 'rider');
            }
        )->get();

        return view('admin.booking.assign_rider', compact('order','vendorId','riderId'));
    }
    
    public function saveAssignRider(Request $request)
    {
        $validatedData = $request->validate([
            //company detail
            'vendor_id' => 'required',
            'order_id' => 'required',
            'rider_id' => 'required',
            'drop_off_location' => 'required',
            'latitude' => 'required',
            'longitude' => 'required',
        ]);
        
        $assign = [
            'vendor_id' => $request->vendor_id,
            'order_id' => $request->order_id,
            'rider_id' => $request->rider_id,
            'drop_off_location' => $request->drop_off_location,
            'latitude' => $request->latitude,
            'longitude' => $request->longitude,
            'trip_status_id' => 1,
            'status' => 1,
        ];
        

        OrderAssigned::create($assign);
        
        return back();
    }

    public function deliveryRatio(Request $request)
    {
        $breadcrumbs = [
            'name' => 'Delivery Ratio', 
        ];

        $vendors_data = Vendor::all();
        $vendorRequest = 'any';

        if ($request->from && $request->to) {
            $from = $request->from;
            $to = $request->to;
            $vendorRequest = $request->vendor ?? 'any';

            $ordersQuery = Order::where('parcel_nature', 1)
                ->whereDate('created_at', '>=', $from)->whereDate('created_at', '<=', $to);

            if ($vendorRequest !== 'any') {
                $ordersQuery->where('vendor_id', $vendorRequest);
            }

            $orders = $ordersQuery->get();

            $overall_orders = $orders->whereIn('order_status', [6,9,10])->count();
            $overall_delivered = $orders->whereIn('order_status', [6])->count();
            $overall_cancel = $orders->whereIn('order_status', [10, 9])->count();

            $overall_wining_ratio = $overall_orders > 0 ? ($overall_delivered / $overall_orders) * 100 : 0;
            $overall_return_ratio = $overall_orders > 0 ? ($overall_cancel / $overall_orders) * 100 : 0;

            $vendors = $vendorRequest === 'any' ? Vendor::all() : Vendor::where('id', $vendorRequest)->get();

            $vendor_name = [];
            $vendor_success_ratio = [];
            $vendor_failure_ratio = [];
            $vendor_total_order = [];
            $vendor_delivered_order = [];
            $vendor_cancel_order = [];

            foreach ($vendors as $vendor) {
                $vendor_orders = $orders->where('vendor_id', $vendor->id);
                $total_orders = $vendor_orders->whereIn('order_status', [6,9,10])->count();
                $delivered_orders = $vendor_orders->where('order_status', 6)->count();
                $cancelled_orders = $vendor_orders->whereIn('order_status', [10, 9])->count();

                $vendor_wining_ratio = $total_orders > 0 ? ($delivered_orders / $total_orders) * 100 : 0;
                $vendor_return_ratio = $total_orders > 0 ? ($cancelled_orders / $total_orders) * 100 : 0;

                $vendor_name[] = $vendor->vendor_name;
                $vendor_success_ratio[] = $vendor_wining_ratio;
                $vendor_failure_ratio[] = $vendor_return_ratio;
                $vendor_total_order[] = $total_orders;
                $vendor_delivered_order[] = $delivered_orders;
                $vendor_cancel_order[] = $cancelled_orders;
            }
        } else {
            // If no date range is provided, initialize variables to default values
            $overall_wining_ratio = 0;
            $overall_return_ratio = 0;
            $vendor_name = [];
            $vendor_success_ratio = [];
            $vendor_failure_ratio = [];
            $vendor_total_order = [];
            $vendor_delivered_order = [];
            $vendor_cancel_order = [];
        }

        return view('admin.delivery-ratio', compact(
            'vendors_data',
            'overall_wining_ratio',
            'overall_return_ratio',
            'vendor_name',
            'vendor_success_ratio',
            'vendor_failure_ratio',
            'vendorRequest',
            'vendor_total_order',
            'vendor_delivered_order',
            'vendor_cancel_order'
        ));
    }
    
}
