<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAreaManagementTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('area_management', function (Blueprint $table) {
            $table->id();
            $table->integer('zone_id')->nullable();
            $table->string('name')->nullable();
            $table->string('code')->nullable();
            $table->string('limit')->nullable();
            $table->string('fuel')->nullable();
            $table->tinyInteger('status')->default(1);
            $table->timestamps();
        });

        Schema::table('users', function (Blueprint $table) {
            $table->integer('zone_id')->nullable()->after('pickup_assigned_by');
            $table->integer('area_id')->nullable()->after('zone_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('area_management');
    }
}
