@extends('layouts.app')

@section('custom-css')
<style type="text/css">
    .divider {
        margin-top: 2%; /* or whatever */
    }
    .heading
    {
        font-weight: bold !important;
    }
</style>
@endsection
@section('content')

<div class="page-body">
    @if (session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5>Create Zone Area</h5>
                </div>
                <div class="card-block">
                    <form method="POST" class="form-material" action="{{ route('saveZoneArea') }}">
                        @csrf
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-static-label form-default">
                                    <select id="zone_id" name="zone_id" class="form-control  @error('zone_id') is-invalid @enderror" value="{{ old('zone_id') }}" required>
                                        <option>Select Zone</option>
                                        @foreach($zones as $zone)
                                            <option value="{{$zone->id}}">{{$zone->name}}</option>
                                        @endforeach
                                    </select>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Select Zone</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="name" class="form-control  @error('name') is-invalid @enderror" value="{{ old('name') }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Area Name</label>
                                    @error('name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="code" class="form-control  @error('code') is-invalid @enderror" value="{{ old('code') }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Code</label>
                                    @error('code')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="number" min="1" name="limit" class="form-control  @error('limit') is-invalid @enderror" value="{{ old('limit') }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Limit</label>
                                    @error('limit')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="number" min="0" name="fuel" class="form-control  @error('fuel') is-invalid @enderror" value="{{ old('fuel') }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Fuel (In Ltr)</label>
                                    @error('fuel')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>
@endsection