@extends('layouts.app')

@section('custom-css')
<style type="text/css">
    .divider {
        margin-top: 2%; /* or whatever */
    }
    .heading
    {
        font-weight: bold !important;
    }
</style>
@endsection
@section('content')

<div class="page-body">
    @if (session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5>Edit Fuel Sheet</h5>
                </div>
                <div class="card-block">
                    <form method="POST" class="form-material" action="{{ route('updateDailySheet') }}">
                        @csrf
                        <input type="hidden" name="rider_id" value="{{$rider_id}}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="rider_name" class="form-control" value="{{$rider_name}}" readonly>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Rider Name</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="date" class="form-control" value="{{$date}}" readonly>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Fuel Date</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="c_rate" class="form-control" value="{{$c_rate}}" readonly>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Rider Commission per parcel</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="fuel_rate" class="form-control" value="{{$fuel_rate}}" readonly>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Fuel Rate</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="number" min="0" step="any" name="first_fuel" class="form-control" value="{{$first_fuel}}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">First Fuel</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="number" min="0" step="any" name="other_fuel" class="form-control" value="{{$other_fuel}}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Other Fuel</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="remarks" class="form-control" placeholder="{{$remarks}}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Fuel Remarks</label>
                                </div>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary waves-effect waves-light">Verify Fuel</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>
@endsection