@extends('layouts.app')

@section('custom-css')
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
@endsection

@section('content')

<div class="page-body"> 
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5>Weekly Fuel Sheet</h5>
                </div>
                <div class="card-block">
                    <form action="{{route('weeklyFuelSheet')}}" method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group form-static-label form-default">
                                    <input type="date" name="date" id="date" class="form-control" required="required" value="<?php
                                    if (isset($_POST['date'])) {
                                        echo $_POST['date'];
                                    }
                                    ?>">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="form-group form-static-label form-default">
                                    <input type="date" name="to" id="to" class="form-control" required="required" value="<?php
                                    if (isset($_POST['to'])) {
                                        echo $_POST['to'];
                                    }
                                    ?>">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <button type="submit" class="btn btn-primary waves-effect waves-light" id="assign_parcel_to_rider">
                                    Submit
                                </button>
                            </div>
                        </div>
                    </form>
                    <div class="text-right">
                        <button id="btnExport" onclick="fnExcelReport();" class="btn btn-primary">Export to Excel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="card-block">
    <div class="page-body display" id="printableArea">
        <div class="card">
            <div class="card-header">
                <h5>Weekly Fuel Sheet</h5>
            </div>
            <div class="card-block table-border-style">
                <div class="table-responsive">
                    <table class="table table-hover" id="example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Rider Name</th>
                                <th>Dipatched</th>
                                <th>Delivered</th>
                                <th>Cancel</th>
                                <th>Re-Attempt</th>
                                <th>1st Fuel</th>
                                <th>C. Rate</th>
                                <th>Other Fuel</th>
                                <th>Delivered Ratio</th>
                                <th>Cancel Ratio</th>
                                <th>Re-Attempt Ratio</th>
                                <th>Fuel Rate</th>
                                <th>Fuel Payable</th>
                                <th>Total Payable</th>
                                <th>Net Payable</th>
                                <th>Dispatch Parcel Cost</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($staffList as $key => $rider)
                            @if(count($rider->totalOrders) > 0)
                            <tr>
                                <td></td>
                                <td style="background-color: #C14F4E; color: white; font-weight: bold;">{{$rider->name}} ({{$rider->userDetail ? $rider->userDetail->phone : 'N/A'}})</td>
                                <td style="background-color: #C14F4E; color: white; font-weight: bold;">{{count($rider->totalOrders)}}</td>
                                <td style="background-color: #C14F4E; color: white; font-weight: bold;">{{count($rider->deliveredOrders)}}</td>
                                <td style="background-color: #C14F4E; color: white; font-weight: bold;">{{count($rider->cancelOrders)}}</td>
                                <td style="background-color: #C14F4E; color: white; font-weight: bold;">{{count($rider->returnOrders)}}</td>
                                <?php
                                    // Commission Calculations
                                    $commissionRatee = $rider->verifyFuelCalculation->first()->c_rate ?? 0;
                                    $deliveredOrderss = count($rider->deliveredOrders);
                                    $commissionPayablee = $commissionRatee * $deliveredOrderss;
                                ?>
                                <td>{{ $rider->verifyFuelCalculation->sum('first_fuel') ?? 0 }}</td>
                                <td>{{ $commissionPayablee }}</td>
                                <td>{{ $rider->verifyFuelCalculation->sum('other_fuel') ?? 0 }}</td>
                                <?php
                                    $delivered_ratio = 0;
                                    $cancel_ratio = 0;
                                    $return_ratio = 0;
                                    $total_ratio = count($rider->totalOrders);

                                    if($total_ratio > 0)
                                    {
                                        $delivered = (count($rider->deliveredOrders) / $total_ratio ) * 100;
                                        $delivered_ratio = number_format($delivered);

                                        $cancel = (count($rider->cancelOrders) / $total_ratio ) * 100;
                                        $cancel_ratio = number_format($cancel);

                                        $return = (count($rider->returnOrders) / $total_ratio ) * 100;
                                        $return_ratio = number_format($return);
                                    }
                                    else
                                    {
                                        $delivered_ratio = 0;
                                        $cancel_ratio = 0;
                                        $return_ratio = 0;
                                    }
                                ?>
                                <td>{{$delivered_ratio}}<span style="font-size: 9px">%</span></td>
                                <td>{{$cancel_ratio}}<span style="font-size: 9px">%</span></td>
                                <td>{{$return_ratio}}<span style="font-size: 9px">%</span></td>
                                <td>{{ $rider->riderFuelCalculation->first()->fuel_rate ?? 'N/A' }}</td>
                                <?php
                                    $firstFuel = $rider->verifyFuelCalculation->sum('first_fuel') ?? 0;
                                    $otherFuel = $rider->verifyFuelCalculation->sum('other_fuel') ?? 0;
                                    $fuelRate = $rider->verifyFuelCalculation->first()->fuel_rate ?? 0;

                                    $fuelPayable = ($firstFuel + $otherFuel) * $fuelRate;

                                    // Commission Calculations
                                    $commissionRate = $rider->verifyFuelCalculation->first()->c_rate ?? 0;
                                    $deliveredOrders = count($rider->deliveredOrders);
                                    $commissionPayable = $commissionRate * $deliveredOrders;

                                    // Total Payable Calculation
                                    $totalPayable = $fuelPayable + $commissionPayable;

                                    //dispatch per parcel cost calculation
                                    $totalOrders = count($rider->totalOrders);
                                    $dpc = $totalPayable / $totalOrders;
                                ?>
                                <td>{{ number_format($fuelPayable) }}</td>
                                <td>{{ number_format($totalPayable) }}</td>
                                <td>{{ number_format($totalPayable) }}</td>
                                <td>{{ number_format($dpc) }}</td>
                            </tr>
                            @endif
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('custom-js')
<script type="text/javascript" src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<SCRIPT language="javascript">

$(function () {
    /* Data Table */
    var table = $('#example').DataTable({
        'lengthMenu': [100, 250, 500, 1000, 5000, 10000],
        'pageLength': 100
    });
});
</SCRIPT>
<script>
    const rows = document.querySelectorAll('tbody tr');
    rows.forEach((row, index) => {
        row.children[0].textContent = index + 1;
    });
</script>
<SCRIPT language="javascript">
function fnExcelReport()
    {
        var tab_text="<table border='2px'><tr bgcolor='#87AFC6'>";
        var textRange; var j=0;
        tab = document.getElementById('example'); // id of table
    
        for(j = 0 ; j < tab.rows.length ; j++) 
        {     
            tab_text=tab_text+tab.rows[j].innerHTML+"</tr>";
            //tab_text=tab_text+"</tr>";
        }
    
        tab_text=tab_text+"</table>";
        tab_text= tab_text.replace(/<A[^>]*>|<\/A>/g, "");//remove if u want links in your table
        tab_text= tab_text.replace(/<img[^>]*>/gi,""); // remove if u want images in your table
        tab_text= tab_text.replace(/<input[^>]*>|<\/input>/gi, ""); // reomves input params
    
        var ua = window.navigator.userAgent;
        var msie = ua.indexOf("MSIE "); 
    
        if (msie > 0 || !!navigator.userAgent.match(/Trident.*rv\:11\./))      // If Internet Explorer
        {
            txtArea1.document.open("txt/html","replace");
            txtArea1.document.write(tab_text);
            txtArea1.document.close();
            txtArea1.focus(); 
            sa=txtArea1.document.execCommand("SaveAs",true,"Say Thanks to Sumit.xls");
        }  
        else                 //other browser not tested on IE 11
            sa = window.open('data:application/vnd.ms-excel,' + encodeURIComponent(tab_text));  
    
        return (sa);
    }
</SCRIPT>
@endsection