@extends('layouts.app')

@section('custom-css')
<style type="text/css">
    .divider {
        margin-top: 2%; /* or whatever */
    }
    .heading
    {
        font-weight: bold !important;
    }
</style>
@endsection
@section('content')

<div class="page-body">
    @if (session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5>Edit Zone</h5>
                </div>
                <div class="card-block">
                    <form method="POST" class="form-material" action="{{ route('updateZone') }}">
                        @csrf
                        <input type="hidden" name="data_id" value="{{$find_data->id}}">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" class="form-control" value="{{ $find_data->zoneSupervisor ? $find_data->zoneSupervisor->name : 'No Supervisor Selected' }}" readonly>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Current Supervisor</label>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <select id="supervisor_id" name="supervisor_id" class="form-control  @error('supervisor_id') is-invalid @enderror" value="{{ old('supervisor_id') }}">
                                        <option>Select New Zone Supervisor</option>
                                        @foreach($staffs as $staff)
                                            <option value="{{$staff->id}}">{{$staff->name}}</option>
                                        @endforeach
                                    </select>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Select New Zone Supervisor (Optional)</label>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="name" class="form-control  @error('name') is-invalid @enderror" value="{{ $find_data->name }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Zone Name</label>
                                    @error('name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group form-static-label form-default">
                                    <input type="text" name="code" class="form-control  @error('code') is-invalid @enderror" value="{{ $find_data->code }}" required>
                                    <span class="form-bar"></span>
                                    <label class="float-label">Code</label>
                                    @error('code')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>
@endsection